# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
Summary:	Old version of libpng, needed to run old binaries
Name:		libpng10
Version:	1.0.60
Release:	alt1_4
License:	zlib
Group:		System/Libraries
URL:		http://www.libpng.org/pub/png/libpng.html
Source0:	ftp://ftp.simplesystems.org/pub/libpng/png/src/libpng10/libpng-%{version}.tar.bz2
Patch0:		libpng-1.0.51-soname.patch
Patch1:		libpng10-aarch64.patch
BuildRequires:	zlib-devel
Conflicts:	libpng < 2:1.2.0
Source44: import.info

%description
The libpng10 package contains an old version of libpng, a library of functions
for creating and manipulating PNG (Portable Network Graphics) image format
files.

This package is needed if you want to run binaries that were linked dynamically
with libpng 1.0.x.

%package devel
Group:		Development/C
Summary:	Development tools for version 1.0 of libpng
Requires:	libpng10 = %{version}-%{release}

%description devel
The libpng10-devel package contains the header files necessary for developing
programs using version 1.0 of the PNG (Portable Network Graphics) library.

If you want to develop programs that will manipulate PNG image format files,
while still running on previous old Linux releases, you should install
libpng10-devel.

%prep
%setup -q -n libpng-%{version}

# We want an soname of 2.%%{version}
%patch0 -p1 -b .soname

# Tweak config.guess and config.sub to add aarch64 support (#925862)
%patch1 -p1 -b .aarch64

%build
%configure \
	--disable-static \
	--disable-dependency-tracking \
	--without-binconfigs
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install

# Install docs
# This is done manually so that the docs, which are all in the same directory,
# can be split between the main and devel package. If the %%doc macro is used
# in the files list with a non-absolute path, it clears out the docs directory
# first, which means the splitting of docs into two packages won't work.
# The alternative would be to have the devel docs in a different directory,
# but I don't want to do that.
mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}
# Docs for main package
install -p -m 644 ANNOUNCE README TODO CHANGES LICENSE Y2KINFO \
	%{buildroot}%{_docdir}/%{name}-%{version}/
# Docs for devel package
install -p -m 644 example.c libpng-%{version}.txt \
	%{buildroot}%{_docdir}/%{name}-%{version}/

# Unpackaged files
rm -f \
	%{buildroot}%{_bindir}/libpng-config \
	%{buildroot}%{_includedir}/png.h \
	%{buildroot}%{_includedir}/pngconf.h \
	%{buildroot}%{_libdir}/libpng.a \
	%{buildroot}%{_libdir}/libpng.la \
	%{buildroot}%{_libdir}/libpng.so \
	%{buildroot}%{_libdir}/libpng10.la \
	%{buildroot}%{_libdir}/libpng10.so.* \
	%{buildroot}%{_libdir}/pkgconfig/libpng.pc \
	%{buildroot}%{_mandir}/man3/libpng.3 \
	%{buildroot}%{_mandir}/man3/libpngpf.3 \
	%{buildroot}%{_mandir}/man5/png.5

# Fix devel link
rm -f %{buildroot}%{_libdir}/libpng10.so
ln -s libpng.so.2 %{buildroot}%{_libdir}/libpng10.so

%files
%dir %{_docdir}/%{name}-%{version}/
%doc %{_docdir}/%{name}-%{version}/ANNOUNCE
%doc %{_docdir}/%{name}-%{version}/CHANGES
%doc %{_docdir}/%{name}-%{version}/LICENSE
%doc %{_docdir}/%{name}-%{version}/README
%doc %{_docdir}/%{name}-%{version}/TODO
%doc %{_docdir}/%{name}-%{version}/Y2KINFO
%{_libdir}/libpng.so.2
%{_libdir}/libpng.so.2.%{version}
# hack; explicitly added docdir if not owned
%doc %dir %{_docdir}/%{name}-%{version}

%files devel
%doc %{_docdir}/%{name}-%{version}/example.c
%doc %{_docdir}/%{name}-%{version}/libpng-%{version}.txt
%{_includedir}/libpng10/
%{_libdir}/libpng10.so
%{_libdir}/pkgconfig/libpng10.pc
# hack; explicitly added docdir if not owned
%doc %dir %{_docdir}/%{name}-%{version}

%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.60-alt1_4
- initial fc import

